# List domain metrics (https://developer.godaddy.com/en/docs/references/rest/parking/get-metrics-by-domain)

---
title: List domain metrics
full: true
---

## GET /v1/customers/{customerId}/parking/metricsByDomain

List domain metrics

### Path parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `customerId` | string | yes | An identifier for a customer. A special alias MY is supported when accessing the authenticated customer's own data |

### Query parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `startDate` | string <date> | yes | Start of range indicating what time-frame should be returned, inclusive. ISO 8601 date YYYY-MM-DD |
| `endDate` | string <date> | yes | End of range indicating what time-frame should be returned, inclusive. ISO 8601 date YYYY-MM-DD |
| `domains` | string | no | An array of domains to filter the results. If this filter is not provided, all domains will be returned |
| `domainLike` | string | no | represent search keyword filtering domains. If not null, `domains` will be ignored |
| `portfolioId` | string <uuid> | no | Unique identifier for the portfolio to filter the results. If not provided, all domains within all porfolios will be returned |
| `limit` | integer | no | Maximum number of items to return |
| `offset` | integer | no | Number of results to skip for pagination |

### Header parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `X-Request-Id` | string | no | A unique identifier for the request |

### Responses

**200** — Request was successful

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/MetricByDomainList`

**401** — Authentication info not sent or invalid

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`

**403** — Authenticated user is not allowed access

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`

**422** — Required parameters must be specified in correct format

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`

**429** — Too many requests received within interval

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/ErrorLimit`

**500** — Internal server error

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`
